# GRAPH (#nodes #edges id uu vv ww xx yy zz):
# 10 28 geo(0,{10,10,3,0.200,0.000,0.000}) 10 

# Creating flat nodes from transit-stub graph:
proc create-nodes { nsns node } {
	upvar $node n
	upvar $nsns ns

	set verbose 1

	if {$verbose} { 
		puts "Creating nodes..."
}
		for {set i 0} {$i < 10} {incr i} {
			set n($i) [$ns node]
	}
	return 10
}

# Creating links from transit-stub graph:
proc create-edges {nsns node linkBW} {
	upvar $node n
	upvar $nsns ns

	set verbose 1

	if {$verbose} { 
		puts "Creating links 0..."
		flush stdout
	}
	set i 0 
	foreach t { 
		{duplex-link 0 9 40ms $linkBW DropTail} 
		{duplex-link 0 4 60ms $linkBW DropTail} 
		{duplex-link 0 2 40ms $linkBW DropTail} 
		{duplex-link 1 8 70ms $linkBW DropTail} 
		{duplex-link 2 6 70ms $linkBW DropTail} 
		{duplex-link 3 9 20ms $linkBW DropTail} 
		{duplex-link 3 8 70ms $linkBW DropTail} 
		{duplex-link 3 5 70ms $linkBW DropTail} 
		{duplex-link 4 7 70ms $linkBW DropTail} 
		{duplex-link 4 6 40ms $linkBW DropTail} 
		{duplex-link 5 9 70ms $linkBW DropTail} 
		{duplex-link 5 7 40ms $linkBW DropTail} 
		{duplex-link 7 9 60ms $linkBW DropTail} 
		{duplex-link 8 9 70ms $linkBW DropTail} 
	} { 
	$ns [lindex $t 0] $n([lindex $t 1]) $n([lindex $t 2]) [lindex $t 4] [lindex $t 3] [lindex $t 5]
	incr i 
	if {[expr $i % 100] == 0} { 
		puts "creating link $i..." 
	} 
 }
	return 10
}

# end of hier topology generation
